<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
?>

<?php
    $nameValue = $_SESSION['employers--name-value'];
    $nameStatus = $_SESSION['employers--name-status'];
    $nameMessage = __($_SESSION['employers--name-message'], 'biuro-contacts');

    $phoneValue = $_SESSION['employers--phone-value'];
    $phoneStatus = $_SESSION['employers--phone-status'];
    $phoneMessage = __($_SESSION['employers--phone-message'], 'biuro-contacts');

    $emailValue = $_SESSION['employers--email-value'];
    $emailStatus = $_SESSION['employers--email-status'];
    $emailMessage = __($_SESSION['employers--email-message'], 'biuro-contacts');

    $agreeValue = $_SESSION['employers--agree-value'];
    $agreeStatus = $_SESSION['employers--agree-status'];
    $agreeMessage = __($_SESSION['employers--agree-message'], 'biuro-contacts');
?>
    <div class="c-form--row">
        <label class="c-form--label" for="form-name"><?php _e('Name, surname', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap <?php if ($nameStatus) { echo "c-form--input-wrap--$nameStatus"; } ?>">
            <input type="text" class="c-form--input" id="form-name" name="name" value="<?php echo $nameValue; ?>" <?php if ($nameStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
        </div>
        <?php if ($nameMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $nameStatus; ?>">
                <?php echo $nameMessage; ?>
            </div>
        <?php endif; ?>
    </div>

    <div class="c-form--row">
        <label class="c-form--label" for="form-phone"><?php _e('Phone no.', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap <?php if ($phoneStatus) { echo "c-form--input-wrap--$phoneStatus"; } ?>">
            <input type="tel" class="c-form--input" id="form-phone" name="phone" value="<?php echo $phoneValue; ?>" <?php if ($nameStatus != 'error' && $phoneStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
        </div>
        <?php if ($phoneMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $phoneStatus; ?>">
                <?php echo $phoneMessage; ?>
            </div>
        <?php endif; ?>
    </div>

    <div id="agree"></div>

    <div class="c-form--row">
        <label class="c-form--label" for="form-email"><?php _e('Email address', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap <?php if ($emailStatus) { echo "c-form--input-wrap--$emailStatus"; } ?>">
                <input type="email" class="c-form--input" id="form-email" name="email" value="<?php echo $emailValue; ?>">
        </div>
        <?php if ($emailMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $emailStatus; ?>">
                <?php echo $emailMessage; ?>
            </div>
        <?php endif; ?>
    </div>

    <div class="c-form--row">
        <div class="c-form--submit-wrap">
            <button type="submit" class="o-btn c-btn--main c-btn--fill" name="s" value="1"><?php _e('Submit', 'biuro-contacts'); ?></button>
        </div>
    </div>

<?php
/*
    <div class="c-form--row">
        <div class="c-form--checkbox-wrap">
            <input id="form-agree" type="checkbox" class="c-form--checkbox <?php if ($agreeStatus) { echo "c-form--checkbox--$agreeStatus"; } ?>" name="agree" value="1" <?php if ($agreeValue): ?> checked="checked"<?php endif; ?> <?php if ($nameStatus != 'error' && $phoneStatus != 'error' && $agreeStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?> >
            <label class="c-form--label-checkbox" for="form-agree"><?php _e('I agree, that my personal data will be used for communicating during the pre-contractual relationship. For more detailed information view our <a href="https://biuro.eu/privacy-en.html" target="_blank" rel="noopener">Personal Data Protection Policy.</a>', 'biuro-contacts'); ?></label>
        </div>
        <?php if ($agreeMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $agreeStatus; ?>">
                <?php echo $agreeMessage; ?>
            </div>
        <?php endif; ?>
    </div>
*/
?>

    <div class="c-form--row">
        <div class="c-form--label-infobox">
            <?php _e('We process your personal data for service cooperation. More information at <a href="https://biuro.eu/privacy-en.html" target="_blank" rel="noopener">Personal Data Protection Policy.</a>', 'biuro-contacts'); ?>
            <br />
            <?php _e('This site is protected by reCAPTCHA and the Google <a href="https://policies.google.com/privacy">Privacy Policy</a> and <a href="https://policies.google.com/terms">Terms of Service</a> apply.', 'biuro-contacts'); ?>
            <input type="hidden" name="agree" value="1">
        </div>
    </div>
