<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
?>
    <div class="c-form--row">
        <label class="c-form--label" for="form-company"><?php _e('Company', 'biuro-contacts'); ?></label>
        <div class="c-form--input-wrap">
            <input type="text" class="c-form--input" id="form-company" name="company" value="" autofocus="autofocus">
        </div>
    </div>

    <div class="c-form--row">
        <label class="c-form--label" for="form-message"><?php _e('Message', 'biuro-contacts'); ?></label>
        <div class="c-form--textarea-wrap">
            <textarea name="message" id="form-message" cols="30" rows="10" class="c-form--textarea"></textarea>
        </div>
    </div>

    <div class="c-form--row">
        <div class="c-form--submit-wrap">
            <button type="submit" class="o-btn c-btn--main c-btn--fill" name="s" value="2"><?php _e('Submit', 'biuro-contacts'); ?></button>
        </div>
    </div>

    <div class="c-form--label-recaptcha">
        <?php _e('This site is protected by reCAPTCHA and the Google <a href="https://policies.google.com/privacy">Privacy Policy</a> and <a href="https://policies.google.com/terms">Terms of Service</a> apply.', 'biuro-contacts'); ?>
    </div>
