const collapseContent = (n) => {
    const h = n.scrollHeight;
    const t = n.style.transition;

    n.style.transition = '';

    requestAnimationFrame(() => {
        n.style.height = h + 'px';
        n.style.transition = t;

        requestAnimationFrame(() => {
            n.style.height = 0 + 'px';
        });
    });
};

const expandContent = (n) => {
    const h = n.scrollHeight;
    const done = (e) => {
        n.removeEventListener('transitionend', done);
    };

    n.style.height = h + 'px';

    n.addEventListener('transitionend', done);
};

const scrollToSection = (header) => {
    const top = header.offsetTop - (Math.max(document.documentElement.clientWidth, window.innerWidth || 0) < 960 ? 72 : 117);

    window.scrollTo({
        top: top,
        behavior: 'smooth'
    });

    header.blur();
};

const toggleSection = (header) => {
    if (!header) {
        return;
    }

    const node = header.parentNode.nextElementSibling;

    if (!node || !node.classList.contains('c-accordion--content')) {
        return;
    }

    const isOpen = header.classList.contains('c-accordion--header--is-expanded');

    if (isOpen) {
        collapseContent(node);
    } else {
        history.pushState({}, '', header.hash);

        requestAnimationFrame(() => {
            scrollToSection(header);

            requestAnimationFrame(() => {
                expandContent(node);
            });
        });
    }

    header.classList.toggle('c-accordion--header--is-expanded', !isOpen);
};

const inititateAccordion = () => {
    document.querySelectorAll('.c-accordion--content').forEach((content) => {
        content.classList.add('c-accordion--content--is-collapsed');
    });

    if (window.location.hash) {
        toggleSection(document.querySelector(window.location.hash));
    }

    document.querySelectorAll('.js-accordion--header').forEach((header) => {
        header.addEventListener('click', (e) => {
            e.preventDefault();
            toggleSection(header);
        });
    });
};

export default inititateAccordion;
