<?php
/**
 * Template Name: Divisions page
 *
 * This is the page for a divisions listing with google map
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

global $post;

$pageID = $post->ID;

$langs = pll_the_languages(array('raw'=>1));
$langID = $langs[pll_current_language('slug')]['id'];

get_header(); ?>

    <div class="l-map" id="js-map--divisions" data-id="<?php echo $langID; ?>"></div>

    <div id="content" class="l-content--divisions">
        <main id="main" class="l-main l-main--divisions">

<?php
    while ( have_posts() ) :

        the_post();
        the_content();

    endwhile;

    // $related = pods( 'division', $params )->find( array(
    //     'limit' => -1,
    //     'where'=>"page-id.ID = " . $pageID
    // ) );

    // $total = $related->total();

    // delog($langID, '$langID');

    $divisions = getDivisions($langID);

    // debug($divisions);



    // $divs = pods( 'division', array(
    //     'limit'   => -1
    // ) );

    if ( 0 < count($divisions) ):
        $cities = array();
?>
        <div class="c-divisions">
<?php
            if ( 1 < count($divisions) ):
?>
                    <span class="js-division c-division"><?php _e('All', 'biuro'); ?></span>
<?php
            endif;

            foreach ($divisions as &$division) :
                $slug = $division['slug'];

                if ( !in_array($slug, $cities) && $division['city'] ) :
?>
                        <span class="js-division c-division" data-id="<?php echo $slug; ?>"><?php echo $division['city']; ?></span>
<?php
                    array_push($cities, $slug);
                endif;
            endforeach;
?>
            </div>
        </main><!-- .l-main -->
        <aside class="l-aside--divisions">
<?php
            echo do_shortcode('[biuro-contacts--employees lang="' . pll_current_language() . '"]');
?>
        </aside>
<?php
    endif;

?>

    </div><!-- #content -->

<?php get_footer();
